/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Autobus;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.entidad.TarjetaRecaudacion;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Checkbox;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTarjetaRecaudacion implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        TarjetaRecaudacion tarjetaRecaudacion = (TarjetaRecaudacion) o;
        SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy HH:mm");

        Listcell lc = new Listcell(tarjetaRecaudacion.getTarjetasRecaudacionPK().
                getTarjetarecaudacionId().toString());
        lc.setParent(lstm);

        Corrida corrida = tarjetaRecaudacion.getCorrida();
        if (corrida != null) {
            lc = new Listcell(corrida.getId().getCorridaId().toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (corrida != null) {
            lc = new Listcell(sf.format(corrida.getId().getFeccorrida()));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada origen = tarjetaRecaudacion.getOrigen();
        if (origen != null) {
            lc = new Listcell(origen.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada destino = tarjetaRecaudacion.getDestino();
        if (destino != null) {
            lc = new Listcell(destino.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Ruta ruta = tarjetaRecaudacion.getRuta();
        if (ruta != null) {
            lc = new Listcell(ruta.getDescruta());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Autobus autobus = tarjetaRecaudacion.getAutobus();
        if (autobus != null) {
            lc = new Listcell(autobus.getNumautobus());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        ClaseServicio claseServicio = tarjetaRecaudacion.getClaseServicio();
        if (claseServicio != null) {
            lc = new Listcell(claseServicio.getDescclase());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Empresa empresa = tarjetaRecaudacion.getEmpresa();
        if (empresa != null) {
            lc = new Listcell(empresa.getNombempresa());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Double ingresoCorrida = tarjetaRecaudacion.getIngresoCorrida();
        if (ingresoCorrida != null) {
            lc = new Listcell(ingresoCorrida.toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lc = new Listcell();
        Checkbox checkManual = new Checkbox();
        if (tarjetaRecaudacion.getTarjetasRecaudacionPK().getManual()) {
            checkManual.setChecked(Boolean.TRUE);
        } else {
            checkManual.setChecked(Boolean.FALSE);
        }
        checkManual.setDisabled(Boolean.TRUE);
        lc.appendChild(checkManual);
        lc.setParent(lstm);

        lc = new Listcell();
        Checkbox checkAtualizado = new Checkbox();
        if (tarjetaRecaudacion.getActualizar()) {
            checkAtualizado.setChecked(Boolean.TRUE);
        } else {
            checkAtualizado.setChecked(Boolean.FALSE);
        }
        checkAtualizado.setDisabled(Boolean.TRUE);
        lc.appendChild(checkAtualizado);
        lc.setParent(lstm);

        lstm.setAttribute("data", tarjetaRecaudacion);
    }
}
